# Created by pyp2rpm-3.3.5
%global pypi_name types-setuptools

Name:           python-%{pypi_name}
Version:        65.3.0
Release:        %mkrel 1
Summary:        Typing stubs for setuptools
Group:          Development/Python
License:        Apache-2.0 license
URL:            https://github.com/python/typeshed
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Typing stubs for setuptoolsThis is a PEP 561 type stub package for the
setuptools package. It can be used by type-checking tools like mypy, PyCharm,
pytype etc. to check code that uses setuptools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pkg-ressources}

%description -n python3-%{pypi_name}
Typing stubs for setuptoolsThis is a PEP 561 type stub package for the
setuptools package. It can be used by type-checking tools like mypy, PyCharm,
pytype etc. to check code that uses setuptools.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/pkg_resources-stubs
%{python3_sitelib}/setuptools-stubs
%{python3_sitelib}/types_setuptools-%{version}.dist-info



%changelog
* Wed Sep 07 2022 papoteur <papoteur> 65.3.0-1.mga9
+ Revision: 1884838
- imported package python-types-setuptools

